
ChiliProject - Bug # 1118: Missing caption in file redmine.rb

Status: Closed Priority: Normal
Author: Jan Kowalski Category: Translations
Remote issue URL:
Affected version:
Description: Hello.

I found the missing piece of code in the file \lib\redmine.rb
He was responsible for displaying the correct name on the menu for other language.
<pre>
  menu.push(:time_entries, { :controller => 'timelog', :action => 'index' }, {
              :param => :project_id,
              :if => Proc.new {|p| User.current.allowed_to?(:view_time_entries, p) }
            });
  menu.push(:new_time_entry, { :controller => 'timelog', :action => 'new' }, {
              :param => :project_id,
              :if => Proc.new {|p| User.current.allowed_to?(:log_time, p) },
              :parent => :time_entries
            })
  menu.push(:time_entry_report, { :controller => 'time_entry_reports', :action => 'report' }, {
              :param => :project_id,
              :if => Proc.new {|p| User.current.allowed_to?(:view_time_entries, p) },
              :parent => :time_entries
            })
</pre>

In each section is missing an entry:
<pre>
:caption => : ... ,
</pre>

These captions are not in the language files and show only in english => Time entries, New time entry, Time 
entry reports

Associated revisions
2012-11-22 11:54 am - C-Moreira 
Add localized translation for Time entry menu. #1118

History
2012-11-22 01:49 pm - Felix Schäfer
- Assignee set to Felix Schäfer

- Status changed from Open to Needs more information

- Target version changed from 4.0.0 to 3.4.0

To clarify: menu entries implicitly use a caption of the form @label_name_of_the_menu_entry@ if none is set, thus those 3 entries have the 
@label_time_entries@, @label_new_time_entry@ and @label_time_entry_report@ captions.

Carlos was so kind as to provide the portuguese translations for these, and we've added the strings to the english locale file too (which means the 
strings will be copied over from english to all other locales before the next release). Jan, is there another language you'd like to contribute a translation 
for?

2012-11-26 01:01 pm - Jan Kowalski
Polish :)

2012-11-26 03:18 pm - Felix Schäfer
Jan, if you can contribute them (see commit:ce5524ba for an example) I'll happily merge them.

2012-12-16 11:53 am - Felix Schäfer
- Status changed from Needs more information to Closed

Closing this, feel free to open a new issue with additional translations.
